
template _tmp_93497
{
    name = "tpled_template5";
    type = GRAPHICAL;
    width = 184;
    maxheight = 180;
    columns = (1, 1);
    gap = 5;
    fillpolicy = EVEN;
    filldirection = HORIZONTAL;
    margins = (0, 0, 0, 0);
    gridxspacing = 2;
    gridyspacing = 2;
    version = 3.21;
    created = "26.03.2012 14:23";
    modified = "04.03.2013 11:54";
    notes = "";

    row _tmp_93528
    {
        name = "CAST_UNIT";
        height = 15.3173295179814;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "";
        contenttype = "CAST_UNIT";
        sorttype = COMBINE;

        valuefield _tmp_11735
        {
            name = "EMBED_LIST";
            location = (1.45136612021859, 10.3471360952884);
            formula = "if (mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"01\" &&      /* 01 == Project setting */\n    mid(GetValue(\"PROJECT.USERDEFINED.P_LANGUAGE\"), 0, 2) == \"02\" ||     /* 02 == English */\n    mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"03\") then   /* 03 == English */\n    \"EMBED LIST\"\nelse\n    \"VALUTARVIKELUETTELO\"\nendif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 40;
            sortdirection = NONE;
            fontname = "Arial Narrow";
            fontcolor = 161;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        lineorarc _tmp_11741
        {
            name = "LineOrArc_22";
            x1 = 0;
            y1 = 15.2829388966725;
            x2 = 184;
            y2 = 15.3021470175949;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_11743
        {
            name = "LineOrArc_9";
            x1 = -1.57772181044202e-030;
            y1 = 8.51948218173425;
            x2 = 183.999998687358;
            y2 = 8.49750372895316;
            pen = -1;
            color = 153;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        valuefield _tmp_12593
        {
            name = "DRAWING_NUMBER";
            location = (1.45136612021859, 5);
            formula = "if (mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"01\" &&      /* 01 == Project setting */\n    mid(GetValue(\"PROJECT.USERDEFINED.P_LANGUAGE\"), 0, 2) == \"02\" ||     /* 02 == English */\n    mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"03\") then   /* 03 == English */\n    \"DRAWING NUMBER\"\nelse\n    \"PIIR. NUMERO\"\nendif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 25;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
        };

        valuefield _tmp_12595
        {
            name = "PCS";
            location = (41.7416393442623, 5.14445464480877);
            formula = "if (mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"01\" &&      /* 01 == Project setting */\n    mid(GetValue(\"PROJECT.USERDEFINED.P_LANGUAGE\"), 0, 2) == \"02\" ||     /* 02 == English */\n    mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"03\") then   /* 03 == English */\n    \"PCS\"\nelse\n    \"LKM\"\nendif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 5;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
        };

        valuefield _tmp_12597
        {
            name = "field_CAST_UNIT_POS";
            location = (1.45136612021859, 0);
            formula = "GetValue(\"CAST_UNIT_POS\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 15;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 161;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_12599
        {
            name = "field_MODEL_TOTAL";
            location = (41.7416393442623, 0);
            formula = "GetValue(\"MODEL_TOTAL\")";
            datatype = INTEGER;
            class = "";
            cacheable = TRUE;
            justify = RIGHT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            sortdirection = NONE;
            fontname = "Arial Narrow";
            fontcolor = 161;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_12601
        {
            name = "MATERIAL";
            location = (55, 5);
            formula = "if (mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"01\" &&      /* 01 == Project setting */\n    mid(GetValue(\"PROJECT.USERDEFINED.P_LANGUAGE\"), 0, 2) == \"02\" ||     /* 02 == English */\n    mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"03\") then   /* 03 == English */\n    \"MATERIAL\"\nelse\n    \"MATERIAALI\"\nendif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 15;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
        };

        valuefield _tmp_12605
        {
            name = "AREA_[m2]";
            location = (105, 5);
            formula = "if (mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"01\" &&      /* 01 == Project setting */\n    mid(GetValue(\"PROJECT.USERDEFINED.P_LANGUAGE\"), 0, 2) == \"02\" ||     /* 02 == English */\n    mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"03\") then   /* 03 == English */\n    \"AREA [m2]\"\nelse\n    \"PINTA-ALA [m2]\"\nendif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = RIGHT;
            visibility = TRUE;
            angle = 0;
            length = 15;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
        };

        valuefield _tmp_14303
        {
            name = "ElementArea";
            location = (112, 0);
            formula = "GetValue(\"CUSTOM.SHADOW_AREA\")";
            datatype = DOUBLE;
            class = "Area";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 8;
            decimals = 2;
            sortdirection = NONE;
            fontname = "Arial Narrow";
            fontcolor = 161;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = SUM;
            unit = "m2";
            fontlinewidth = 1;
        };

        valuefield _tmp_14305
        {
            name = "WEIGHT_[kg]";
            location = (130, 5);
            formula = "if (mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"01\" &&      /* 01 == Project setting */\n    mid(GetValue(\"PROJECT.USERDEFINED.P_LANGUAGE\"), 0, 2) == \"02\" ||     /* 02 == English */\n    mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"03\") then   /* 03 == English */\n    \"QUANTITY\"\nelse\n    \"MR\"\nendif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = RIGHT;
            visibility = TRUE;
            angle = 0;
            length = 15;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
        };

        valuefield _tmp_14307
        {
            name = "VOLUME_[m3]";
            location = (156.966797116375, 5);
            formula = "if (mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"01\" &&      /* 01 == Project setting */\n    mid(GetValue(\"PROJECT.USERDEFINED.P_LANGUAGE\"), 0, 2) == \"02\" ||     /* 02 == English */\n    mid(GetValue(\"DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"03\") then   /* 03 == English */\n    \"UNIT\"\nelse\n    \"YKS\"\nendif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 15;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
        };

        lineorarc _tmp_15502
        {
            name = "LineOrArc_11";
            x1 = 0;
            y1 = 15.3173295179814;
            x2 = 7.105427357601e-015;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_15506
        {
            name = "LineOrArc_4";
            x1 = 184;
            y1 = 15.3173295179814;
            x2 = 184;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        row _tmp_93589
        {
            name = "PARTS_CU";
            height = 3.75637;
            visibility = TRUE;
            usecolumns = FALSE;
            rule = "if GetValue(\"MATERIAL_TYPE\") == \"CONCRETE\"  &&\n   GetValue(\"CLASS_ATTR\") != \"0\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
            contenttype = "PART";
            sorttype = COMBINE;

            lineorarc _tmp_15508
            {
                name = "LineOrArc_13";
                x1 = 0;
                y1 = 3.75636503265679;
                x2 = 7.105427357601e-015;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            valuefield _tmp_19808
            {
                name = "PartMaterial";
                location = (55, 0);
                formula = "GetValue(\"MATERIAL\")";
                datatype = STRING;
                class = "";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 30;
                sortdirection = ASCENDING;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.187815;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = NONE;
                fontlinewidth = 1;
            };

            valuefield _tmp_21882
            {
                name = "PartVolume";
                location = (137.51608595252, 0.122610367318941);
                formula = "GetValue(\"VOLUME_NET\")";
                datatype = DOUBLE;
                class = "Volume";
                cacheable = TRUE;
                justify = RIGHT;
                visibility = TRUE;
                angle = 0;
                length = 8;
                decimals = 2;
                sortdirection = NONE;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.187815;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = SUM;
                unit = "m3";
                fontlinewidth = 1;
            };

            lineorarc _tmp_131456
            {
                name = "LineOrArc_34";
                x1 = 184;
                y1 = 3.75636503265679;
                x2 = 184;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            text _tmp_54874
            {
                name = "Text_9";
                x1 = 159.826432522025;
                y1 = 0.645906467209443;
                x2 = 159.826432522025;
                y2 = 0.645906467209443;
                string = "m";
                fontname = "Arial Narrow";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1;
                fontslant = 0;
                fontstyle = 0;
                angle = 0;
                justify = LEFT;
                pen = -1;
            };
        };

        row _tmp_93651
        {
            name = "PART_SUMMARY";
            height = 6.58900109289613;
            visibility = TRUE;
            usecolumns = FALSE;
            rule = "";
            contenttype = "SUMMARY";
            sorttype = COMBINE;

            valuefield _tmp_21884
            {
                name = "TOTAL";
                location = (96.4904358624645, 1.6211041202906);
                formula = "if (mid(GetValue(\"USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"01\" &&      /* 01 == Project setting */\n    mid(GetValue(\"PROJECT.USERDEFINED.P_LANGUAGE\"), 0, 2) == \"02\" ||     /* 02 == English */\n    mid(GetValue(\"USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"03\") then   /* 03 == English */\n    \"ELEMENT TOTAL:\"\nelse\n    \"ELEMENTTI PAINO:\"\nendif";
                datatype = STRING;
                class = "";
                cacheable = TRUE;
                justify = RIGHT;
                visibility = TRUE;
                angle = 0;
                length = 20;
                decimals = 0;
                sortdirection = ASCENDING;
                fontname = "Arial Narrow";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 3.5;
                fontratio = 1;
                fontstyle = 0;
                fontslant = 0;
                pen = -1;
                oncombine = NONE;
            };

            valuefield _tmp_30368
            {
                name = "ElementWeightSum";
                location = (139.0234375, 1.49849375297168);
                formula = "Total(\"PartVolume\") *2.5";
                datatype = DOUBLE;
                class = "Volume";
                cacheable = TRUE;
                justify = RIGHT;
                visibility = TRUE;
                angle = 0;
                length = 6;
                decimals = 2;
                sortdirection = NONE;
                fontname = "Arial Narrow";
                fontcolor = 161;
                fonttype = 2;
                fontsize = 3.5;
                fontratio = 1;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = NONE;
                unit = "m3";
                fontlinewidth = 1;
            };

            lineorarc _tmp_96660
            {
                name = "LineOrArc_15";
                x1 = 0;
                y1 = 6.58900109289613;
                x2 = 184;
                y2 = 6.58900109289613;
                pen = -1;
                color = 153;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            lineorarc _tmp_3089
            {
                name = "LineOrArc_2";
                x1 = 184;
                y1 = 6.58900109289613;
                x2 = 184;
                y2 = -4.44089209850063e-015;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            lineorarc _tmp_3091
            {
                name = "LineOrArc_57";
                x1 = 0;
                y1 = 6.41945757674683;
                x2 = 0;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            text _tmp_65809
            {
                name = "Kg";
                x1 = 159.826432522025;
                y1 = 1.32751855097186;
                x2 = 159.826432522025;
                y2 = 1.32751855097186;
                string = "t";
                fontname = "Arial Narrow";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1;
                fontslant = 0;
                fontstyle = 0;
                angle = 0;
                justify = LEFT;
                pen = -1;
            };
        };

        row _tmp_30350
        {
            name = "COMMENT";
            height = 4.4642497086291;
            visibility = TRUE;
            usecolumns = FALSE;
            rule = "";
            contenttype = "COMMENT";
            sorttype = COMBINE;

            valuefield _tmp_30352
            {
                name = "EMBEDS";
                location = (17.6257396363637, 0.7898562560448);
                formula = "if (mid(GetValue(\"ASSEMBLY.CURRENT_DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"01\" &&      /* 01 == Project setting */\n    mid(GetValue(\"PROJECT.USERDEFINED.P_LANGUAGE\"), 0, 2) == \"02\" ||     /* 02 == English */\n    mid(GetValue(\"ASSEMBLY.CURRENT_DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"03\") then   /* 03 == English */\n    \"EMBEDS\"\nelse\n    \"TARVIKKEET\"\nendif";
                datatype = STRING;
                class = "";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 15;
                sortdirection = ASCENDING;
                fontname = "Arial Narrow";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1;
                fontstyle = 0;
                fontslant = 0;
                pen = -1;
                oncombine = NONE;
            };

            valuefield _tmp_30354
            {
                name = "PCS_";
                location = (2.405687203792, 0.7898562560448);
                formula = "if (mid(GetValue(\"ASSEMBLY.CURRENT_DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"01\" &&      /* 01 == Project setting */\n    mid(GetValue(\"PROJECT.USERDEFINED.P_LANGUAGE\"), 0, 2) == \"02\" ||     /* 02 == English */\n    mid(GetValue(\"ASSEMBLY.CURRENT_DRAWING.USERDEFINED.DR_LANGUAGE\"), 0, 2) == \"03\") then   /* 03 == English */\n    \"Qnty\"\nelse\n    \"MR\"\nendif";
                datatype = STRING;
                class = "";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 5;
                decimals = 0;
                sortdirection = ASCENDING;
                fontname = "Arial Narrow";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1;
                fontstyle = 0;
                fontslant = 0;
                pen = -1;
                oncombine = NONE;
            };

            lineorarc _tmp_96652
            {
                name = "LineOrArc_3";
                x1 = 7.105427357601e-015;
                y1 = 4.4642497086291;
                x2 = 7.105427357601e-015;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            lineorarc _tmp_129352
            {
                name = "LineOrArc_17";
                x1 = -1.57772181044202e-030;
                y1 = 4.4642497086291;
                x2 = 184;
                y2 = 4.46424970862907;
                pen = -1;
                color = 153;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            lineorarc _tmp_129353
            {
                name = "LineOrArc_14";
                x1 = 0;
                y1 = -5.55111512312578e-017;
                x2 = 184;
                y2 = -5.42621503285545e-015;
                pen = -1;
                color = 153;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            lineorarc _tmp_129358
            {
                name = "LineOrArc_20";
                x1 = 184;
                y1 = 4.4642497086291;
                x2 = 184;
                y2 = 0.0159321841042583;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };
        };

        row _tmp_8171
        {
            name = "104";
            height = 4;
            visibility = TRUE;
            usecolumns = FALSE;
            rule = "if GetValue(\"CLASS_ATTR\") == 104\n    then\n   Output()\nelse\n   StepOver()\nendif";
            contenttype = "PART";
            sorttype = COMBINE;

            valuefield _tmp_17756
            {
                name = "ValueField_2";
                location = (17.1227440810837, 1.11022302462516e-016);
                formula = "if GetValue(\"PRODUCT_DESCR\") != \"0\" then \n   GetValue(\"NAME\")+ \" \" + GetValue(\"MATERIAL\") + \" \" + round(string(GetValue(\"WIDTH\")), 0)+ \"mm\" + \" \" + GetValue(\"PRODUCT_DESCR\")\nelse\n if GetValue(\"PRODUCT_DESCR\") == \"0\" then \n    GetValue(\"NAME\")+ \" \" + GetValue(\"MATERIAL\") + \" \" + round(string(GetValue(\"WIDTH\")), 0)+ \"mm\"\nelse\n StepOver()\nendif\nendif\n\n\n\n\n\n\n\n";
                datatype = STRING;
                class = "";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 100;
                decimals = 0;
                sortdirection = ASCENDING;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.187815;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = NONE;
                fontlinewidth = 1;
            };

            lineorarc _tmp_96649
            {
                name = "LineOrArc";
                x1 = 0;
                y1 = 3.99999999999999;
                x2 = 0;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            lineorarc _tmp_129355
            {
                name = "LineOrArc_16";
                x1 = 184;
                y1 = 3.99999999999999;
                x2 = 184;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            valuefield _tmp_27333
            {
                name = "AREA_PROJECTION_XY_NET_field";
                location = (2.40568720379201, 0);
                formula = "GetValue(\"AREA_PROJECTION_XY_NET\")";
                datatype = DOUBLE;
                class = "Area";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 4;
                decimals = 2;
                sortdirection = NONE;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.18782;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = NONE;
                unit = "m2";
            };

            text _tmp_10084
            {
                name = "Text_8";
                x1 = 9.7874597733008;
                y1 = 0.00637787008130886;
                x2 = 9.7874597733008;
                y2 = 0.00637787008130886;
                string = "m";
                fontname = "Arial Narrow";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1;
                fontslant = 0;
                fontstyle = 0;
                angle = 0;
                justify = LEFT;
                pen = -1;
            };
        };

        row _tmp_93620
        {
            name = "PART_SURFACE";
            height = 5;
            visibility = FALSE;
            usecolumns = FALSE;
            rule = "";
            contenttype = "PART";
            sorttype = COMBINE;

            row _tmp_7978
            {
                name = "SURFACING";
                height = 4;
                visibility = TRUE;
                usecolumns = FALSE;
                rule = "";
                contenttype = "SURFACING";
                sorttype = COMBINE;

                valuefield _tmp_16458
                {
                    name = "SurfacingName";
                    location = (17.4725538996385, 0);
                    formula = "GetValue(\"NAME\") + \" \" + GetValue(\"MATERIAL\")";
                    datatype = STRING;
                    class = "";
                    cacheable = TRUE;
                    justify = LEFT;
                    visibility = TRUE;
                    angle = 0;
                    length = 100;
                    decimals = 0;
                    sortdirection = ASCENDING;
                    fontname = "Arial Narrow";
                    fontcolor = 160;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 1.187815;
                    fontstyle = 0;
                    fontslant = 0;
                    pen = 0;
                    oncombine = NONE;
                    fontlinewidth = 1;
                };

                valuefield _tmp_16462
                {
                    name = "SurfacingArea";
                    location = (2.40568720379201, 0.100442412907654);
                    formula = "GetValue(\"AREA\")";
                    datatype = DOUBLE;
                    class = "Area";
                    cacheable = TRUE;
                    justify = LEFT;
                    visibility = TRUE;
                    angle = 0;
                    length = 4;
                    decimals = 1;
                    sortdirection = NONE;
                    fontname = "Arial Narrow";
                    fontcolor = 160;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 1.18782;
                    fontstyle = 0;
                    fontslant = 0;
                    pen = 0;
                    oncombine = SUM;
                    unit = "m2";
                    fontlinewidth = 1;
                };

                lineorarc _tmp_96650
                {
                    name = "LineOrArc_1";
                    x1 = 0;
                    y1 = 3.96363752721396;
                    x2 = 7.105427357601e-015;
                    y2 = 0;
                    pen = -1;
                    color = 161;
                    linetype = 1;
                    linewidth = 1;
                    bulge = 0;
                };

                lineorarc _tmp_129356
                {
                    name = "LineOrArc_18";
                    x1 = 184;
                    y1 = 3.96363752721396;
                    x2 = 184;
                    y2 = 0;
                    pen = -1;
                    color = 161;
                    linetype = 1;
                    linewidth = 1;
                    bulge = 0;
                };

                text _tmp_3867
                {
                    name = "m";
                    x1 = 9.7874597733008;
                    y1 = 0;
                    x2 = 9.7874597733008;
                    y2 = 0;
                    string = "m";
                    fontname = "Arial Narrow";
                    fontcolor = 153;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 1;
                    fontslant = 0;
                    fontstyle = 0;
                    angle = 0;
                    justify = LEFT;
                    pen = -1;
                };
            };
        };

        row _tmp_17817
        {
            name = "100";
            height = 3.95901090903186;
            visibility = TRUE;
            usecolumns = FALSE;
            rule = "if GetValue(\"CLASS_ATTR\") == \"100\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
            contenttype = "PART";
            sorttype = COMBINE;

            valuefield _tmp_17849
            {
                name = "ValueField_3";
                location = (17.272631574764, 0);
                formula = "if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 && \n   GetValue(\"PRODUCT_DESCR\") == \"0\"\n  then\n   GetValue(\"NAME\") \n else\n    if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 &&\n     GetValue(\"PRODUCT_DESCR\") != \"0\"\n    then \n     GetValue(\"NAME\") + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n     if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n       GetValue(\"PRODUCT_DESCR\") != \"0\"\n      then \n       GetValue(\"NAME\") + \" \" + GetValue(\"MATERIAL\") + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n      if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n        GetValue(\"PRODUCT_DESCR\") == \"0\"\n       then \n        GetValue(\"NAME\")  + \" \" + GetValue(\"MATERIAL\")\n      else \n    StepOver()\nendif\nendif\nendif\nendif";
                datatype = STRING;
                class = "";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 100;
                decimals = 0;
                sortdirection = ASCENDING;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.187815;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = NONE;
                fontlinewidth = 1;
            };

            valuefield _tmp_32625
            {
                name = "PCS2";
                location = (2.40568720379201, 0);
                formula = "GetValue(\"NUMBER\")";
                datatype = INTEGER;
                class = "";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 3;
                decimals = 0;
                sortdirection = NONE;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.187815;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = SUM;
                fontlinewidth = 1;
            };

            text _tmp_32626
            {
                name = "kpl";
                x1 = 9.7874597733008;
                y1 = 0;
                x2 = 9.7874597733008;
                y2 = 0;
                string = "kpl";
                fontname = "Arial Narrow";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1;
                fontslant = 0;
                fontstyle = 0;
                angle = 0;
                justify = CENTERED;
                pen = -1;
            };

            lineorarc _tmp_96653
            {
                name = "LineOrArc_5";
                x1 = -1.57772181044202e-030;
                y1 = 3.95901090903186;
                x2 = 7.105427357601e-015;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            lineorarc _tmp_129359
            {
                name = "LineOrArc_21";
                x1 = 184;
                y1 = 3.95901090903186;
                x2 = 184;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };
        };

        row _tmp_93683
        {
            name = "101";
            height = 4;
            visibility = TRUE;
            usecolumns = FALSE;
            rule = "if GetValue(\"CLASS_ATTR\") == \"101\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
            contenttype = "PART";
            sorttype = COMBINE;

            valuefield _tmp_17753
            {
                name = "MISC_NAME";
                location = (17.272631574764, -4.71844785465692e-016);
                formula = "if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 && \n   GetValue(\"PRODUCT_DESCR\") == \"0\"\n  then\n   GetValue(\"NAME\")+ \" \" + round(GetValue(\"LENGTH\"),0) + \" \" + GetValue(\"PROFILE\")\n else\n    if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 &&\n     GetValue(\"PRODUCT_DESCR\") != \"0\"\n    then \n     GetValue(\"NAME\") + \" \" +GetValue(\"LENGTH\") + \" \" + GetValue(\"PROFILE\") + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n     if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n       GetValue(\"PRODUCT_DESCR\") != \"0\"\n      then \n       GetValue(\"NAME\") + \" \" + GetValue(\"MATERIAL\") + \" \" + round(GetValue(\"LENGTH\"),0) + \" \" + GetValue(\"PROFILE\") + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n      if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n        GetValue(\"PRODUCT_DESCR\") == \"0\"\n       then \n        GetValue(\"NAME\") + \" \" + GetValue(\"MATERIAL\") + \" \" + round(GetValue(\"LENGTH\"),0) + \" \" + GetValue(\"PROFILE\")\n      else \n    StepOver()\nendif\nendif\nendif\nendif\n\n\n";
                datatype = STRING;
                class = "";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 100;
                decimals = 0;
                sortdirection = ASCENDING;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.187815;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = NONE;
                fontlinewidth = 1;
            };

            text _tmp_37805
            {
                name = "Text";
                x1 = 9.7874597733008;
                y1 = 0;
                x2 = 9.7874597733008;
                y2 = 0;
                string = "kpl";
                fontname = "Arial Narrow";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1;
                fontslant = 0;
                fontstyle = 0;
                angle = 0;
                justify = CENTERED;
                pen = -1;
            };

            valuefield _tmp_37807
            {
                name = "PCS_2";
                location = (2.40568720379201, 0);
                formula = "GetValue(\"NUMBER\")";
                datatype = INTEGER;
                class = "";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 3;
                decimals = 0;
                sortdirection = NONE;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.187815;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = SUM;
                fontlinewidth = 1;
            };

            lineorarc _tmp_96654
            {
                name = "LineOrArc_6";
                x1 = -1.57772181044202e-030;
                y1 = 4;
                x2 = 7.105427357601e-015;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            lineorarc _tmp_129360
            {
                name = "LineOrArc_23";
                x1 = 184;
                y1 = 4;
                x2 = 184;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };
        };

        row _tmp_8099
        {
            name = "102";
            height = 4;
            visibility = TRUE;
            usecolumns = FALSE;
            rule = "if GetValue(\"CLASS_ATTR\") == \"102\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
            contenttype = "PART";
            sorttype = COMBINE;

            valuefield _tmp_17754
            {
                name = "ValueField";
                location = (17.272631574764, 2.79498646449383e-014);
                formula = "if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 && \n   GetValue(\"PRODUCT_DESCR\") == \"0\"\n  then\n   GetValue(\"NAME\")+ \" \" + round(GetValue(\"WIDTH\"),0 ) + \"*\" + round(GetValue(\"HEIGHT\"), 0) + \"*\"  + round(GetValue(\"LENGTH\"), 0)\n else\n    if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 &&\n     GetValue(\"PRODUCT_DESCR\") != \"0\"\n    then \n     GetValue(\"NAME\") + \" \" + round(GetValue(\"WIDTH\"),0 ) + \"*\" + round(GetValue(\"HEIGHT\"), 0) + \"*\"  + round(GetValue(\"LENGTH\"), 0) + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n     if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n       GetValue(\"PRODUCT_DESCR\") != \"0\"\n      then \n       GetValue(\"NAME\") + \" \" + GetValue(\"MATERIAL\") + \" \" + round(GetValue(\"WIDTH\"), 0) + \"*\" + round(GetValue(\"HEIGHT\"),0) + \"*\"  + round(GetValue(\"LENGTH\"),0) + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n      if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n        GetValue(\"PRODUCT_DESCR\") == \"0\"\n       then \n        GetValue(\"NAME\") + \" \" + GetValue(\"MATERIAL\") + \" \" + round(GetValue(\"WIDTH\"), 0) + \"*\" + round(GetValue(\"HEIGHT\"), 0) + \"*\"  + round(GetValue(\"LENGTH\"),0)\n      else \n    StepOver()\nendif\nendif\nendif\nendif\n\n";
                datatype = STRING;
                class = "";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 100;
                decimals = 0;
                sortdirection = ASCENDING;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.187815;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = NONE;
                fontlinewidth = 1;
            };

            text _tmp_46060
            {
                name = "Text_1";
                x1 = 9.7874597733008;
                y1 = -1.66533453693773e-016;
                x2 = 9.7874597733008;
                y2 = -1.66533453693773e-016;
                string = "kpl";
                fontname = "Arial Narrow";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1;
                fontslant = 0;
                fontstyle = 0;
                angle = 0;
                justify = CENTERED;
                pen = -1;
            };

            valuefield _tmp_46062
            {
                name = "ValueField_11";
                location = (2.40568720379201, 0);
                formula = "GetValue(\"NUMBER\")";
                datatype = INTEGER;
                class = "";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 3;
                decimals = 0;
                sortdirection = NONE;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.187815;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = SUM;
                fontlinewidth = 1;
            };

            lineorarc _tmp_96655
            {
                name = "LineOrArc_7";
                x1 = -1.57772181044202e-030;
                y1 = 4;
                x2 = 7.105427357601e-015;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            lineorarc _tmp_129361
            {
                name = "LineOrArc_24";
                x1 = 184;
                y1 = 4;
                x2 = 184;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };
        };

        row _tmp_8140
        {
            name = "103";
            height = 4;
            visibility = TRUE;
            usecolumns = FALSE;
            rule = "if GetValue(\"CLASS_ATTR\") == \"103\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
            contenttype = "PART";
            sorttype = COMBINE;

            valuefield _tmp_17755
            {
                name = "ValueField_1";
                location = (17.272631574764, 0);
                formula = "if GetValue(\"PRODUCT_DESCR\") != \"0\" then \n   GetValue(\"NAME\") + \" \" + GetValue(\"PROFILE\")+ \" \" + GetValue(\"PRODUCT_DESCR\")\nelse\n if GetValue(\"PRODUCT_DESCR\") == \"0\" then \n    GetValue(\"NAME\") + \" \" + GetValue(\"PROFILE\")\nelse\n StepOver()\nendif\nendif";
                datatype = STRING;
                class = "";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 100;
                decimals = 0;
                sortdirection = ASCENDING;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.187815;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = NONE;
                fontlinewidth = 1;
            };

            valuefield _tmp_54418
            {
                name = "LENGTH_field";
                location = (2.40568720379201, 0);
                formula = "GetValue(\"LENGTH\")";
                datatype = DOUBLE;
                class = "Length";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 3;
                decimals = 2;
                sortdirection = ASCENDING;
                fontname = "Arial Narrow";
                fontcolor = 160;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1.187815;
                fontstyle = 0;
                fontslant = 0;
                pen = 0;
                oncombine = SUM;
                unit = "m";
            };

            text _tmp_54419
            {
                name = "m";
                x1 = 9.7874597733008;
                y1 = 0;
                x2 = 9.7874597733008;
                y2 = 0;
                string = "m";
                fontname = "Arial Narrow";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 2.5;
                fontratio = 1;
                fontslant = 0;
                fontstyle = 0;
                angle = 0;
                justify = LEFT;
                pen = -1;
            };

            lineorarc _tmp_96656
            {
                name = "LineOrArc_8";
                x1 = -1.57772181044202e-030;
                y1 = 4;
                x2 = 7.105427357601e-015;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            lineorarc _tmp_129362
            {
                name = "LineOrArc_25";
                x1 = 183.980021527273;
                y1 = 4;
                x2 = 183.980021527273;
                y2 = 0;
                pen = -1;
                color = 161;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };
        };
    };

    row _tmp_4800
    {
        name = "ASSEMBLY_100";
        height = 4;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "if GetValue(\"MAINPART.CLASS_ATTR\") == \"100\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
        contenttype = "ASSEMBLY";
        sorttype = COMBINE;

        valuefield _tmp_5911
        {
            name = "ValueField_4";
            location = (17.242228749429, 2.8421709430404e-014);
            formula = "GetValue(\"ASSEMBLY_NAME\")+\" \"+if (match(GetValue(\"MAINPART.MATERIAL\"),\"*Undefined\")) then \" \" else GetValue(\"MAINPART.MATERIAL\") endif+\" \"+if (IsSet(\"MAINPART.USERDEFINED.PRODUCT_DESCR\")) then GetValue(\"MAINPART.USERDEFINED.PRODUCT_DESCR\") else \" \" endif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 100;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_9298
        {
            name = "ValueField_5";
            location = (2.40568720379201, 0);
            formula = "GetValue(\"NUMBER\")";
            datatype = INTEGER;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = NONE;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = SUM;
            fontlinewidth = 1;
        };

        text _tmp_9301
        {
            name = "Text_4";
            x1 = 9.7874597733008;
            y1 = 0;
            x2 = 9.7874597733008;
            y2 = 0;
            string = "kpl";
            fontname = "Arial Narrow";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1;
            fontslant = 0;
            fontstyle = 0;
            angle = 0;
            justify = LEFT;
            pen = -1;
        };

        lineorarc _tmp_18202
        {
            name = "LineOrArc_59";
            x1 = 0;
            y1 = 4;
            x2 = 0;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_18203
        {
            name = "LineOrArc_60";
            x1 = 184;
            y1 = 0;
            x2 = 184;
            y2 = 4;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };
    };

    row _tmp_7726
    {
        name = "ASSEMBLY_101";
        height = 4;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "if GetValue(\"MAINPART.CLASS_ATTR\") == \"101\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
        contenttype = "ASSEMBLY";
        sorttype = COMBINE;

        valuefield _tmp_22715
        {
            name = "ValueField_10";
            location = (17.242228749429, 0);
            formula = "if find(GetValue(\"MAINPART.MATERIAL\"), \"Undefined\") != -1 && \n   GetValue(\"MAINPART.PRODUCT_DESCR\") == \"0\"\n  then\n   GetValue(\"MAINPART.NAME\")+ \" \" + round(GetValue(\"MAINPART.LENGTH\"),0) + \" \" + GetValue(\"MAINPART.PROFILE\")\n else\n    if find(GetValue(\"MAINPART.MATERIAL\"), \"Undefined\") != -1 &&\n     GetValue(\"MAINPART.PRODUCT_DESCR\") != \"0\"\n    then \n     GetValue(\"MAINPART.NAME\") + \" \" + round(GetValue(\"MAINPART.LENGTH\"),0) + \" \" + GetValue(\"MAINPART.PROFILE\") + \" \" + GetValue(\"MAINPART.PRODUCT_DESCR\")\n    else\n     if find(GetValue(\"MAINPART.MATERIAL\"), \"Undefined\") == -1 &&\n       GetValue(\"MAINPART.PRODUCT_DESCR\") != \"0\"\n      then \n       GetValue(\"MAINPART.NAME\") + \" \" + GetValue(\"MAINPART.MATERIAL\") + \" \" + round(GetValue(\"MAINPART.LENGTH\"),0) + \" \" + GetValue(\"MAINPART.PROFILE\") + \" \" + GetValue(\"MAINPART.PRODUCT_DESCR\")\n    else\n      if find(GetValue(\"MAINPART.MATERIAL\"), \"Undefined\") == -1 &&\n        GetValue(\"MAINPART.PRODUCT_DESCR\") == \"0\"\n       then \n        GetValue(\"MAINPART.NAME\") + \" \" + GetValue(\"MAINPART.MATERIAL\") + \" \" + round(GetValue(\"MAINPART.LENGTH\"),0) + \" \" + GetValue(\"MAINPART.PROFILE\")\n      else \n    StepOver()\nendif\nendif\nendif\nendif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 100;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_22718
        {
            name = "ValueField_12";
            location = (2.31718140776701, 0.0373793411008023);
            formula = "GetValue(\"NUMBER\")";
            datatype = INTEGER;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = NONE;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = SUM;
            fontlinewidth = 1;
        };

        text _tmp_22751
        {
            name = "Text_5";
            x1 = 9.7874597733008;
            y1 = 0;
            x2 = 9.7874597733008;
            y2 = 0;
            string = "kpl";
            fontname = "Arial Narrow";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1;
            fontslant = 0;
            fontstyle = 0;
            angle = 0;
            justify = CENTERED;
            pen = -1;
        };

        lineorarc _tmp_32343
        {
            name = "LineOrArc_63";
            x1 = 0;
            y1 = 3.9808773485974;
            x2 = 0;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_32345
        {
            name = "LineOrArc_65";
            x1 = 184;
            y1 = 0;
            x2 = 184;
            y2 = 4;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };
    };

    row _tmp_7787
    {
        name = "ASSEMBLY_102";
        height = 4;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "if GetValue(\"MAINPART.CLASS_ATTR\") == \"102\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
        contenttype = "ASSEMBLY";
        sorttype = COMBINE;

        valuefield _tmp_24711
        {
            name = "ValueField_13";
            location = (17.3472469312471, 0.134971195311437);
            formula = "if find(GetValue(\"MAINPART.MATERIAL\"), \"Undefined\") != -1 && \n   GetValue(\"MAINPART.PRODUCT_DESCR\") == \"0\"\n  then\n   GetValue(\"MAINPART.NAME\")+ \" \" + round(GetValue(\"MAINPART.WIDTH\"), 0 ) + \"*\" + round(GetValue(\"MAINPART.HEIGHT\"),0) + \"*\"  + round(GetValue(\"MAINPART.LENGTH\"),0)\n else\n    if find(GetValue(\"MAINPART.MATERIAL\"), \"Undefined\") != -1 &&\n     GetValue(\"MAINPART.PRODUCT_DESCR\") != \"0\"\n    then \n     GetValue(\"MAINPART.NAME\") + \" \" + round(GetValue(\"MAINPART.WIDTH\"),0 ) + \"*\" + round(GetValue(\"MAINPART.HEIGHT\"),0) + \"*\"  + round(GetValue(\"MAINPART.LENGTH\"),0) + \" \" + GetValue(\"MAINPART.PRODUCT_DESCR\")\n    else\n     if find(GetValue(\"MAINPART.MATERIAL\"), \"Undefined\") == -1 &&\n       GetValue(\"MAINPART.PRODUCT_DESCR\") != \"0\"\n      then \n       GetValue(\"MAINPART.NAME\") + GetValue(\"MAINPART.MATERIAL\") + \" \" + round(GetValue(\"MAINPART.WIDTH\"),0 ) + \"*\" + round(GetValue(\"MAINPART.HEIGHT\"),0) + \"*\"  + round(GetValue(\"MAINPART.LENGTH\"),0) + \" \" + GetValue(\"MAINPART.PRODUCT_DESCR\")\n    else\n      if find(GetValue(\"MAINPART.MATERIAL\"), \"Undefined\") == -1 &&\n        GetValue(\"MAINPART.PRODUCT_DESCR\") == \"0\"\n       then \n        GetValue(\"NAME\") + GetValue(\"MAINPART.MATERIAL\") + \" \" + round(GetValue(\"MAINPART.WIDTH\"),0 ) + \"*\" + round(GetValue(\"MAINPART.HEIGHT\"),0) + \"*\"  + round(GetValue(\"MAINPART.LENGTH\"),0)\n      else \n    StepOver()\nendif\nendif\nendif\nendif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 100;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_26796
        {
            name = "ValueField_58";
            location = (2.31718140776701, 0);
            formula = "GetValue(\"NUMBER\")";
            datatype = INTEGER;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = NONE;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = SUM;
            fontlinewidth = 1;
        };

        text _tmp_26828
        {
            name = "Text_6";
            x1 = 9.7874597733008;
            y1 = 0;
            x2 = 9.7874597733008;
            y2 = 0;
            string = "kpl";
            fontname = "Arial Narrow";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1;
            fontslant = 0;
            fontstyle = 0;
            angle = 0;
            justify = CENTERED;
            pen = -1;
        };

        lineorarc _tmp_32342
        {
            name = "LineOrArc_62";
            x1 = 0;
            y1 = 4;
            x2 = 0;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_32344
        {
            name = "LineOrArc_64";
            x1 = 184;
            y1 = 0;
            x2 = 184;
            y2 = 4;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };
    };

    row _tmp_7818
    {
        name = "ASSEMBLY_103";
        height = 4;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "if GetValue(\"MAINPART.CLASS_ATTR\") == \"103\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
        contenttype = "ASSEMBLY";
        sorttype = COMBINE;

        valuefield _tmp_27976
        {
            name = "ValueField_59";
            location = (17.3472469312471, 0.0502742931481635);
            formula = "if GetValue(\"MAINPART.PRODUCT_DESCR\") != \"0\" then \n   GetValue(\"MAINPART.NAME\") + \" \" + GetValue(\"MAINPART.PROFILE\")+ \" \" + GetValue(\"MAINPART.PRODUCT_DESCR\")\nelse\n if GetValue(\"MAINPART.PRODUCT_DESCR\") == \"0\" then \n    GetValue(\"MAINPART.NAME\") + \" \" + GetValue(\"MAINPART.PROFILE\")\nelse\n StepOver()\nendif\nendif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 100;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_27978
        {
            name = "ValueField_60";
            location = (2.31718140776701, 0.165939747700179);
            formula = "GetValue(\"LENGTH\")";
            datatype = DOUBLE;
            class = "Length";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 2;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = SUM;
            unit = "m";
        };

        text _tmp_27980
        {
            name = "Text_7";
            x1 = 9.7874597733008;
            y1 = 0;
            x2 = 9.7874597733008;
            y2 = 0;
            string = "m";
            fontname = "Arial Narrow";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1;
            fontslant = 0;
            fontstyle = 0;
            angle = 0;
            justify = LEFT;
            pen = -1;
        };

        lineorarc _tmp_32341
        {
            name = "LineOrArc_61";
            x1 = 0;
            y1 = 4;
            x2 = 0;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_32406
        {
            name = "LineOrArc_19";
            x1 = 184;
            y1 = 0;
            x2 = 184;
            y2 = 4;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };
    };

    row _tmp_102088
    {
        name = "EMBED_R1";
        height = 4;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "if IsSet(\"EMBED_R1_C1\") then\n  Output()\nelse\n  StepOver()\nendif";
        contenttype = "CAST_UNIT";
        sorttype = COMBINE;

        valuefield _tmp_109318
        {
            name = "ValueField_25";
            location = (17.272631574764, 0);
            formula = "GetValue(\"EMBED_R1_C1\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 100;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_114390
        {
            name = "ValueField_31";
            location = (2.40568720379201, 0);
            formula = "GetValue(\"EMBED_R1_C2\")";
            datatype = STRING;
            class = "Length";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            unit = "m";
        };

        valuefield _tmp_123098
        {
            name = "ValueField_37";
            location = (9.7874597733008, 0);
            formula = "GetValue(\"EMBED_R1_C3\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
        };

        lineorarc _tmp_129363
        {
            name = "LineOrArc_26";
            x1 = 184;
            y1 = 4;
            x2 = 184;
            y2 = 0.0685785405115666;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_131458
        {
            name = "LineOrArc_35";
            x1 = 0;
            y1 = 4;
            x2 = 7.105427357601e-015;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };
    };

    row _tmp_103078
    {
        name = "EMBED_R2";
        height = 4;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "if IsSet(\"EMBED_R2_C1\") then\n  Output()\nelse\n  StepOver()\nendif";
        contenttype = "CAST_UNIT";
        sorttype = COMBINE;

        valuefield _tmp_110164
        {
            name = "ValueField_26";
            location = (17.272631574764, 0);
            formula = "GetValue(\"EMBED_R2_C1\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 100;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_115266
        {
            name = "ValueField_32";
            location = (2.40568720379201, 0.0848210618462701);
            formula = "GetValue(\"EMBED_R2_C2\")";
            datatype = STRING;
            class = "Length";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            unit = "m";
        };

        valuefield _tmp_123974
        {
            name = "ValueField_38";
            location = (9.7874597733008, 0);
            formula = "GetValue(\"EMBED_R2_C3\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
        };

        lineorarc _tmp_129364
        {
            name = "LineOrArc_27";
            x1 = 184;
            y1 = 4;
            x2 = 184;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_8183
        {
            name = "LineOrArc_58";
            x1 = 0;
            y1 = 4;
            x2 = 0;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };
    };

    row _tmp_103109
    {
        name = "EMBED_R3";
        height = 4;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "if IsSet(\"EMBED_R3_C1\") then\n  Output()\nelse\n  StepOver()\nendif";
        contenttype = "CAST_UNIT";
        sorttype = COMBINE;

        valuefield _tmp_110165
        {
            name = "ValueField_27";
            location = (17.272631574764, -4.71844785465692e-016);
            formula = "GetValue(\"EMBED_R3_C1\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 100;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_115267
        {
            name = "ValueField_33";
            location = (2.40568720379201, 0.0273335871799247);
            formula = "GetValue(\"EMBED_R3_C2\")";
            datatype = STRING;
            class = "Length";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            unit = "m";
        };

        valuefield _tmp_123975
        {
            name = "ValueField_39";
            location = (9.7874597733008, 0.0546671743599063);
            formula = "GetValue(\"EMBED_R3_C3\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
        };

        lineorarc _tmp_129365
        {
            name = "LineOrArc_28";
            x1 = 184;
            y1 = 4;
            x2 = 184;
            y2 = 0.0155243545180781;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_131459
        {
            name = "LineOrArc_36";
            x1 = 7.105427357601e-015;
            y1 = 4;
            x2 = 7.105427357601e-015;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };
    };

    row _tmp_103140
    {
        name = "EMBED_R4";
        height = 4;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "if IsSet(\"EMBED_R4_C1\") then\n  Output()\nelse\n  StepOver()\nendif";
        contenttype = "CAST_UNIT";
        sorttype = COMBINE;

        valuefield _tmp_110166
        {
            name = "ValueField_28";
            location = (17.272631574764, 5.55111512312578e-017);
            formula = "GetValue(\"EMBED_R4_C1\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 100;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_115268
        {
            name = "ValueField_34";
            location = (2.40568720379201, 0);
            formula = "GetValue(\"EMBED_R4_C2\")";
            datatype = STRING;
            class = "Length";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            unit = "m";
        };

        valuefield _tmp_123976
        {
            name = "ValueField_40";
            location = (9.7874597733008, 0.041392678180955);
            formula = "GetValue(\"EMBED_R4_C3\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
        };

        lineorarc _tmp_129366
        {
            name = "LineOrArc_29";
            x1 = 184;
            y1 = 4;
            x2 = 184;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_131460
        {
            name = "LineOrArc_37";
            x1 = 0;
            y1 = 4;
            x2 = -1.57772181044202e-030;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };
    };

    row _tmp_103201
    {
        name = "EMBED_R5";
        height = 4;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "if IsSet(\"EMBED_R5_C1\") then\n  Output()\nelse\n  StepOver()\nendif";
        contenttype = "CAST_UNIT";
        sorttype = COMBINE;

        valuefield _tmp_110167
        {
            name = "ValueField_29";
            location = (17.272631574764, -4.71844785465692e-016);
            formula = "GetValue(\"EMBED_R5_C1\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 100;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_115269
        {
            name = "ValueField_35";
            location = (2.40568720379201, 0);
            formula = "GetValue(\"EMBED_R5_C2\")";
            datatype = STRING;
            class = "Length";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            unit = "m";
        };

        valuefield _tmp_123977
        {
            name = "ValueField_41";
            location = (9.7874597733008, 0);
            formula = "GetValue(\"EMBED_R5_C3\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
        };

        lineorarc _tmp_129367
        {
            name = "LineOrArc_30";
            x1 = 184;
            y1 = 4;
            x2 = 184;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_131461
        {
            name = "LineOrArc_38";
            x1 = 0;
            y1 = 4;
            x2 = -1.57772181044202e-030;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };
    };

    row _tmp_103232
    {
        name = "EMBED_R6";
        height = 4;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "if IsSet(\"EMBED_R6_C1\") then\n  Output()\nelse\n  StepOver()\nendif";
        contenttype = "CAST_UNIT";
        sorttype = COMBINE;

        valuefield _tmp_110168
        {
            name = "ValueField_30";
            location = (17.272631574764, -2.77555756156289e-016);
            formula = "GetValue(\"EMBED_R6_C1\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 100;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_115270
        {
            name = "ValueField_36";
            location = (2.40568720379201, 0);
            formula = "GetValue(\"EMBED_R6_C2\")";
            datatype = STRING;
            class = "Length";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            unit = "m";
        };

        valuefield _tmp_123978
        {
            name = "ValueField_42";
            location = (9.7874597733008, 0);
            formula = "GetValue(\"EMBED_R6_C3\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 3;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1.187815;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
        };

        lineorarc _tmp_129368
        {
            name = "LineOrArc_31";
            x1 = 184;
            y1 = 4;
            x2 = 184;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_131462
        {
            name = "LineOrArc_39";
            x1 = 0;
            y1 = 4;
            x2 = -1.57772181044202e-030;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };
    };

    row _tmp_973
    {
        name = "CAST_UNIT_FOR_REBARS";
        height = 5;
        visibility = FALSE;
        usecolumns = FALSE;
        rule = "";
        contenttype = "CAST_UNIT";
        sorttype = COMBINE;

        row _tmp_1034
        {
            name = "PART_FOR_REBARS";
            height = 5;
            visibility = FALSE;
            usecolumns = FALSE;
            rule = "";
            contenttype = "PART";
            sorttype = COMBINE;

            row _tmp_8263
            {
                name = "REBAR_100";
                height = 4;
                visibility = TRUE;
                usecolumns = FALSE;
                rule = "if GetValue(\"CLASS\") == \"100\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
                contenttype = "REBAR";
                sorttype = COMBINE;

                valuefield _tmp_87104
                {
                    name = "ValueField_15";
                    location = (17.272631574764, 0);
                    formula = "if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 && \n   GetValue(\"PRODUCT_DESCR\") == \"0\"\n  then\n   GetValue(\"NAME\") \n else\n    if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 &&\n     GetValue(\"PRODUCT_DESCR\") != \"0\"\n    then \n     GetValue(\"NAME\") + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n     if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n       GetValue(\"PRODUCT_DESCR\") != \"0\"\n      then \n       GetValue(\"NAME\") + \" \" + GetValue(\"MATERIAL\") + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n      if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n        GetValue(\"PRODUCT_DESCR\") == \"0\"\n       then \n        GetValue(\"NAME\")  + \" \" + GetValue(\"MATERIAL\")\n      else \n    StepOver()\nendif\nendif\nendif\nendif";
                    datatype = STRING;
                    class = "";
                    cacheable = TRUE;
                    justify = LEFT;
                    visibility = TRUE;
                    angle = 0;
                    length = 100;
                    decimals = 0;
                    sortdirection = ASCENDING;
                    fontname = "Arial Narrow";
                    fontcolor = 160;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 1.187815;
                    fontstyle = 0;
                    fontslant = 0;
                    pen = 0;
                    oncombine = NONE;
                    fontlinewidth = 1;
                };

                valuefield _tmp_87934
                {
                    name = "ValueField_17";
                    location = (2.40568720379201, 0);
                    formula = "GetValue(\"NUMBER\")";
                    datatype = INTEGER;
                    class = "";
                    cacheable = TRUE;
                    justify = LEFT;
                    visibility = TRUE;
                    angle = 0;
                    length = 3;
                    decimals = 0;
                    sortdirection = NONE;
                    fontname = "Arial Narrow";
                    fontcolor = 160;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 1.187815;
                    fontstyle = 0;
                    fontslant = 0;
                    pen = 0;
                    oncombine = SUM;
                    fontlinewidth = 1;
                };

                text _tmp_87937
                {
                    name = "Text_2";
                    x1 = 9.7874597733008;
                    y1 = 0;
                    x2 = 9.7874597733008;
                    y2 = 0;
                    string = "kpl";
                    fontname = "Arial Narrow";
                    fontcolor = 153;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 1;
                    fontslant = 0;
                    fontstyle = 0;
                    angle = 0;
                    justify = CENTERED;
                    pen = -1;
                };

                lineorarc _tmp_96657
                {
                    name = "LineOrArc_10";
                    x1 = -1.57772181044202e-030;
                    y1 = 4;
                    x2 = -1.57772181044202e-030;
                    y2 = 0;
                    pen = -1;
                    color = 161;
                    linetype = 1;
                    linewidth = 1;
                    bulge = 0;
                };

                lineorarc _tmp_129369
                {
                    name = "LineOrArc_32";
                    x1 = 184;
                    y1 = 4;
                    x2 = 184;
                    y2 = 0;
                    pen = -1;
                    color = 161;
                    linetype = 1;
                    linewidth = 1;
                    bulge = 0;
                };
            };

            row _tmp_87072
            {
                name = "REBAR_101";
                height = 4;
                visibility = TRUE;
                usecolumns = FALSE;
                rule = "if GetValue(\"CLASS\") == \"101\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
                contenttype = "REBAR";
                sorttype = COMBINE;

                valuefield _tmp_87519
                {
                    name = "ValueField_16";
                    location = (17.272631574764, -2.22044604925031e-016);
                    formula = "if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 && \n   GetValue(\"PRODUCT_DESCR\") == \"0\"\n  then\n   GetValue(\"NAME\")+ \" \" + GetValue(\"SIZE\") + \" \" +GetValue(\"LENGTH\")+ \"mm \" \n else\n    if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 &&\n     GetValue(\"PRODUCT_DESCR\") != \"0\"\n    then \n     GetValue(\"NAME\")+ \" \" + GetValue(\"SIZE\") + \" \" +GetValue(\"LENGTH\")+ \"mm \" + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n     if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n       GetValue(\"PRODUCT_DESCR\") != \"0\"\n      then \n       GetValue(\"NAME\")+ \" \" + GetValue(\"SIZE\") + \" \" +GetValue(\"LENGTH\")+ \"mm \" +GetValue(\"MATERIAL\")+ \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n      if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n        GetValue(\"PRODUCT_DESCR\") == \"0\"\n       then \n        GetValue(\"NAME\")+ \" \" + GetValue(\"SIZE\") + \" \" +GetValue(\"LENGTH\")+ \"mm \" +GetValue(\"MATERIAL\")\n      else \n    StepOver()\nendif\nendif\nendif\nendif";
                    datatype = STRING;
                    class = "";
                    cacheable = TRUE;
                    justify = LEFT;
                    visibility = TRUE;
                    angle = 0;
                    length = 100;
                    decimals = 0;
                    sortdirection = ASCENDING;
                    fontname = "Arial Narrow";
                    fontcolor = 160;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 1.187815;
                    fontstyle = 0;
                    fontslant = 0;
                    pen = 0;
                    oncombine = NONE;
                    fontlinewidth = 1;
                };

                valuefield _tmp_87935
                {
                    name = "ValueField_18";
                    location = (2.40568720379201, -2.22044604925031e-016);
                    formula = "GetValue(\"NUMBER\")";
                    datatype = INTEGER;
                    class = "";
                    cacheable = TRUE;
                    justify = LEFT;
                    visibility = TRUE;
                    angle = 0;
                    length = 3;
                    decimals = 0;
                    sortdirection = NONE;
                    fontname = "Arial Narrow";
                    fontcolor = 160;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 1.187815;
                    fontstyle = 0;
                    fontslant = 0;
                    pen = 0;
                    oncombine = SUM;
                    fontlinewidth = 1;
                };

                text _tmp_87938
                {
                    name = "Text_3";
                    x1 = 9.7874597733008;
                    y1 = 2.99760216648792e-015;
                    x2 = 9.7874597733008;
                    y2 = 2.99760216648792e-015;
                    string = "kpl";
                    fontname = "Arial Narrow";
                    fontcolor = 153;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 1;
                    fontslant = 0;
                    fontstyle = 0;
                    angle = 0;
                    justify = LEFT;
                    pen = -1;
                };

                lineorarc _tmp_96658
                {
                    name = "LineOrArc_12";
                    x1 = 0;
                    y1 = 4;
                    x2 = 0;
                    y2 = 3.05311331771918e-016;
                    pen = -1;
                    color = 161;
                    linetype = 1;
                    linewidth = 1;
                    bulge = 0;
                };

                lineorarc _tmp_3513
                {
                    name = "LineOrArc_33";
                    x1 = 184;
                    y1 = 0;
                    x2 = 184;
                    y2 = 4;
                    pen = -1;
                    color = 161;
                    linetype = 1;
                    linewidth = 1;
                    bulge = 0;
                };
            };
        };
    };

    row _tmp_152470
    {
        name = "MESH";
        height = 1.69003508771929;
        visibility = FALSE;
        usecolumns = FALSE;
        rule = "";
        contenttype = "CAST_UNIT";
        sorttype = COMBINE;

        row _tmp_152480
        {
            name = "Part";
            height = 1.92469824561403;
            visibility = FALSE;
            usecolumns = FALSE;
            rule = "";
            contenttype = "PART";
            sorttype = COMBINE;

            row _tmp_152493
            {
                name = "Mesh";
                height = 4;
                visibility = TRUE;
                usecolumns = FALSE;
                rule = "if GetValue(\"CLASS\") == \"100\"\n    then\n   Output()\nelse\n   StepOver()\nendif";
                contenttype = "MESH";
                sorttype = COMBINE;

                valuefield _tmp_152496
                {
                    name = "ValueField_47";
                    location = (17.272631574764, 1.33226762955019e-015);
                    formula = "if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 && \n   GetValue(\"PRODUCT_DESCR\") == \"0\"\n  then\n   GetValue(\"NAME\") \n else\n    if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 &&\n     GetValue(\"PRODUCT_DESCR\") != \"0\"\n    then \n     GetValue(\"NAME\") + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n     if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n       GetValue(\"PRODUCT_DESCR\") != \"0\"\n      then \n       GetValue(\"NAME\") + \" \" + GetValue(\"GRADE\") + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n      if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n        GetValue(\"PRODUCT_DESCR\") == \"0\"\n       then \n        GetValue(\"NAME\")  + \" \" + GetValue(\"GRADE\")\n      else \n    StepOver()\nendif\nendif\nendif\nendif";
                    datatype = STRING;
                    class = "";
                    cacheable = TRUE;
                    justify = LEFT;
                    visibility = TRUE;
                    angle = 0;
                    length = 100;
                    decimals = 0;
                    sortdirection = ASCENDING;
                    fontname = "Arial Narrow";
                    fontcolor = 160;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 0.950252;
                    fontstyle = 0;
                    fontslant = 0;
                    pen = 0;
                    oncombine = NONE;
                    fontlinewidth = 1;
                };

                lineorarc _tmp_152501
                {
                    name = "LineOrArc_49";
                    x1 = 0;
                    y1 = 4;
                    x2 = -1.57772181044202e-030;
                    y2 = 0;
                    pen = -1;
                    color = 161;
                    linetype = 1;
                    linewidth = 1;
                    bulge = 0;
                };

                lineorarc _tmp_156661
                {
                    name = "LineOrArc_50";
                    x1 = 184;
                    y1 = 4;
                    x2 = 184;
                    y2 = 0;
                    pen = -1;
                    color = 161;
                    linetype = 1;
                    linewidth = 1;
                    bulge = 0;
                };

                valuefield _tmp_4179
                {
                    name = "ValueField_48";
                    location = (2.40568720379201, 1.11022302462516e-016);
                    formula = "GetValue(\"NUMBER\")";
                    datatype = INTEGER;
                    class = "";
                    cacheable = TRUE;
                    justify = LEFT;
                    visibility = TRUE;
                    angle = 0;
                    length = 3;
                    sortdirection = NONE;
                    fontname = "Arial Narrow";
                    fontcolor = 160;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 0.950252;
                    fontstyle = 0;
                    fontslant = 0;
                    pen = 0;
                    oncombine = SUM;
                    fontlinewidth = 1;
                };
            };

            row _tmp_8913
            {
                name = "Mesh_100";
                height = 4;
                visibility = TRUE;
                usecolumns = FALSE;
                rule = "if GetValue(\"CLASS\") == \"100\"\n    then\n   StepOver()\nelse\n   Output()\nendif";
                contenttype = "MESH";
                sorttype = COMBINE;

                valuefield _tmp_8916
                {
                    name = "ValueField_53";
                    location = (17.272631574764, -2.22044604925031e-016);
                    formula = "if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 && \n   GetValue(\"PRODUCT_DESCR\") == \"0\"\n  then\n   GetValue(\"NAME\") + \" \" + mid(GetValue(\"SIZE\"), 0,  find(GetValue(\"SIZE\"), \"/\")) +\"/\"+ GetValue(\"CC\") \n else\n    if find(GetValue(\"MATERIAL\"), \"Undefined\") != -1 &&\n     GetValue(\"PRODUCT_DESCR\") != \"0\"\n    then \n     GetValue(\"NAME\") + \" \" + mid(GetValue(\"SIZE\"), 0,  find(GetValue(\"SIZE\"), \"/\")) +\"/\"+ GetValue(\"CC\") + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n     if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n       GetValue(\"PRODUCT_DESCR\") != \"0\"\n      then \n       GetValue(\"NAME\") + \" \" + mid(GetValue(\"SIZE\"), 0,  find(GetValue(\"SIZE\"), \"/\")) +\"/\"+ GetValue(\"CC\") + \" \" + GetValue(\"GRADE\") + \" \" + GetValue(\"PRODUCT_DESCR\")\n    else\n      if find(GetValue(\"MATERIAL\"), \"Undefined\") == -1 &&\n        GetValue(\"PRODUCT_DESCR\") == \"0\"\n       then \n        GetValue(\"NAME\") + \" \" + mid(GetValue(\"SIZE\"), 0,  find(GetValue(\"SIZE\"), \"/\")) +\"/\"+ GetValue(\"CC\") + \" \" + GetValue(\"GRADE\")\n      else \n    StepOver()\nendif\nendif\nendif\nendif";
                    datatype = STRING;
                    class = "";
                    cacheable = TRUE;
                    justify = LEFT;
                    visibility = TRUE;
                    angle = 0;
                    length = 100;
                    decimals = 0;
                    sortdirection = ASCENDING;
                    fontname = "Arial Narrow";
                    fontcolor = 160;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 0.950252;
                    fontstyle = 0;
                    fontslant = 0;
                    pen = 0;
                    oncombine = NONE;
                    fontlinewidth = 1;
                };

                lineorarc _tmp_8919
                {
                    name = "LineOrArc_55";
                    x1 = 0;
                    y1 = 4;
                    x2 = -1.57772181044202e-030;
                    y2 = 0;
                    pen = -1;
                    color = 161;
                    linetype = 1;
                    linewidth = 1;
                    bulge = 0;
                };

                lineorarc _tmp_8920
                {
                    name = "LineOrArc_56";
                    x1 = 184;
                    y1 = 4;
                    x2 = 184;
                    y2 = 0;
                    pen = -1;
                    color = 161;
                    linetype = 1;
                    linewidth = 1;
                    bulge = 0;
                };

                text _tmp_1101
                {
                    name = "kg";
                    x1 = 9.7874597733008;
                    y1 = 0.0696679298245612;
                    x2 = 9.7874597733008;
                    y2 = 0.0696679298245612;
                    string = "kg";
                    fontname = "Arial Narrow";
                    fontcolor = 153;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 1;
                    fontslant = 0;
                    fontstyle = 0;
                    angle = 0;
                    justify = CENTERED;
                    pen = -1;
                };

                valuefield _tmp_1103
                {
                    name = "ValueField_NO";
                    location = (2.40568720379201, -4.44089209850063e-016);
                    formula = "GetValue(\"WEIGHT\")";
                    datatype = DOUBLE;
                    class = "Weight";
                    cacheable = TRUE;
                    justify = LEFT;
                    visibility = TRUE;
                    angle = 0;
                    length = 4;
                    decimals = 1;
                    sortdirection = NONE;
                    fontname = "Arial Narrow";
                    fontcolor = 160;
                    fonttype = 2;
                    fontsize = 2.5;
                    fontratio = 0.950252;
                    fontstyle = 0;
                    fontslant = 0;
                    pen = 0;
                    oncombine = SUM;
                    unit = "kg";
                    fontlinewidth = 1;
                };
            };
        };
    };

    row _tmp_29425
    {
        name = "Rebar_total";
        height = 4.5;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "if (GetValue(\"CLASS\") != \"101\" &&\n    GetValue(\"CLASS\") != \"100\" &&\n    GetValue(\"CLASS\") != \"102\")\n then\n  Output()\nelse\n  StepOver()\nendif";
        contenttype = "REBAR";
        sorttype = COMBINE;

        valuefield _tmp_29427
        {
            name = "grade";
            location = (17.272631574764, 0);
            formula = "GetValue(\"GRADE\") + \"    \" + GetValue(\"SIZE\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 40;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 0.950252;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = NONE;
            fontlinewidth = 1;
        };

        valuefield _tmp_29428
        {
            name = "field_Kg";
            location = (2.40568720379201, 0);
            formula = "GetValue(\"WEIGHT_TOTAL\")";
            datatype = DOUBLE;
            class = "Weight";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 5;
            decimals = 1;
            sortdirection = NONE;
            fontname = "Arial Narrow";
            fontcolor = 160;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 0.950252;
            fontstyle = 0;
            fontslant = 0;
            pen = 0;
            oncombine = SUM;
            unit = "kg";
            fontlinewidth = 1;
        };

        lineorarc _tmp_29429
        {
            name = "LineOrArc_41";
            x1 = 184;
            y1 = 4.5;
            x2 = 184;
            y2 = 0.0377678010181839;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 7.50437965659027e-005;
        };

        lineorarc _tmp_29430
        {
            name = "LineOrArc_42";
            x1 = 0;
            y1 = 4.5;
            x2 = 0;
            y2 = -4.44089209850063e-016;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        text _tmp_30517
        {
            name = "Text_10";
            x1 = 9.7874597733008;
            y1 = 0;
            x2 = 9.7874597733008;
            y2 = 0;
            string = "kg";
            fontname = "Arial Narrow";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 2.5;
            fontratio = 1;
            fontslant = 0;
            fontstyle = 0;
            angle = 0;
            justify = CENTERED;
            pen = -1;
        };
    };

    footer _tmp_32437
    {
        name = "Footer";
        height = 0.852492384996822;

        lineorarc _tmp_32438
        {
            name = "LineOrArc_66";
            x1 = 0;
            y1 = 0;
            x2 = 184;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_32589
        {
            name = "LineOrArc_67";
            x1 = 0;
            y1 = 0;
            x2 = 0;
            y2 = 0.852492384996822;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };

        lineorarc _tmp_12279
        {
            name = "LineOrArc_40";
            x1 = 184;
            y1 = 0.852492384996822;
            x2 = 184;
            y2 = 0;
            pen = -1;
            color = 161;
            linetype = 1;
            linewidth = 1;
            bulge = 0;
        };
    };
};
